GEOMETRYSHADER(3CgFX)

NAME
GeometryShader - 3D API geometry shader

USAGE
GeometryShader = compile profile "-po profileOption" main(args);

VALID ENUMERANTS
shader: Null

DESCRIPTION
Compile a geometry shader. See the specification of the OpenGL geometry profile for details. See the specification of the Direct3D 10 geometry shaders for details.

The standard reset callback sets the GeometryShader state to program(false).

OPENGL FUNCTIONALITY REQUIREMENTS
OpenGL 1.0

DIRECT3D FUNCTIONALITY REQUIREMENTS
DirectX 10

SEE ALSO
PixelShader, TessellationControlShader, TessellationEvaluationShader, VertexShader, FragmentProgram, GeometryProgram, TessellationControlProgram, TessellationEvaluationProgram, VertexProgram